/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Jan 27, 2008
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.uvos.webapp.actions;

import java.util.HashMap;
import java.util.Map;

/**
 * @author K. Benedyczak
 */
public class CookErrorAction
{
	public Map<String, Object> cook(Throwable e) 
	{
		Map<String, Object> map = new HashMap<String, Object>();
		if (e != null)
		{
			Throwable ee = e;
			while (ee.getCause() != null)
				ee = ee.getCause();
			map.put("message", ee.getMessage());
			map.put("exception", ee.getClass().getName());
			map.put("trace", ee.getStackTrace());
		} else
		{
			map.put("message", "Unknown error occurred, " +
					"please inform the administrator.");
			map.put("exception", "?");
			map.put("trace", new String[]{"?"});
		}
		return map; 
	}
}