/*
 * Copyright (c) 2010 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 03-12-2010
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */
package pl.edu.icm.uvos.webapp.data;

import org.apache.log4j.Logger;
import org.mortbay.jetty.handler.ContextHandler.SContext;
import org.mortbay.jetty.webapp.WebAppContext;
import org.picocontainer.PicoContainer;

import pl.edu.icm.unicore.uvos.server.JettyServer;

public class PicoAccessor
{
	private static final Logger log = Logger.getLogger(PicoAccessor.class);
	
	//lazy and thread safe
	private static class Holder {
		private static PicoContainer pico;
		static 
		{
			SContext ctx = WebAppContext.getCurrentContext();
			if (ctx == null)
			{
				log.fatal("Can't get Jetty Servlet context. Either" +
					" you deployed this servlet to an other than UVOS container " +
					" or to UVOS server with an incompatible version.");
			} else
			{
				pico = (PicoContainer) ctx.getAttribute(
					JettyServer.UVOS_SERVER_CONTAINER_REFERENCE);
				if (pico == null) 
					log.fatal("Can't get PicoContainer from the servlet context. Either" +
						" you deployed this servlet to an other than UVOS container " +
						" or to UVOS server with version < 1.3.3");
			}
		}
	}
	
	public static PicoContainer getPico() 
	{
		return Holder.pico;
	}
}
