<#include "header.ftl">
<#escape x as x?html>

	<h2> ${form.name} </h2>

	<div class="info">
	Using this form you can submit your application to the 
	<#if form.isVO>VO<#else>group in the VO</#if>:
	<div class="infoVal">
	${form.baseGroup}
	</div>
	</div>

	<div class="info">	
	Description:<br/>
	
	</#escape>
	<div style="margin-left: 20px">
	${form.description}
	<#escape x as x?html>
	
	</div>
	</div>
	<hr>
	
	<form action="${flowExecutionUrl}" method="POST">
		
		</#escape>
		<#if form.agreement?length gt 0 >
			<div class="desc">
			VO Agreement:
			</div>
			<div id="agreement">
			${form.agreement}
			</div>
		
			<div align="right">
			<@spring.formCheckboxes "app1FormData.accepted", form.accepted, "<br/>" />
			<@spring.showErrors "<br/>" "error"/><br/>
			</div>
		</#if>
		<#escape x as x?html>
	
		<div class="group">
		<#if form.allowedIdFormatsNice?values?size gt 1>
			<div class="desc">
			Please select a format using which your identity shall be stored:
			</div>
			<div class="input">
			<@spring.formRadioButtons "app1FormData.idFormat", form.allowedIdFormatsNice, "<br/>" />
			</div>
		<#else>
			<div class="desc">
			This VO require that your identity must be stored in the format:<br/>
			</div>
			<div class="input">
			${form.allowedIdFormatsNice?values[0]}
			</div>
		</#if>
		<div class="desc">
		You will be asked for data in this format after proceeding.
		</div>

		<#if form.canDoCSR>
			<div class="desc">
			If you don't have a certificate yet and you want to acquire one, please
			select the checkbox below. You will need to submit a Certificate Signing 
			Request after proceeding, instead of your certificate.
			</div>
			<div class="input">
			<@spring.formCheckboxes "app1FormData.isCSR", form.isCSR, "<br/>" />
			<@spring.showErrors "<br/>" "error"/>
			</div>
		</#if>
		</div>

		<#if form.additionalGroups??>
			<div class="group">
			<div class="desc">
			You can apply for a membership in additional groups:
			</div>
			<div class="input">
			<@spring.formCheckboxes "app1FormData.additionalGroups", form.additionalGroups, "<br/>" />
			</div>
		</#if>

		<#if form.additionalAttributes??>
			<div class="group">
			<div class="desc">
			You can apply for the following additional attributes:
			</div>
			<div class="input">
			<@spring.formCheckboxes "app1FormData.additionalAttrs", form.additionalAttributes, "<br/>" />
			</div>
			</div>
		</#if>
		
		
		<div class="group">
		<div class="desc">
		In the following section please enter your contact information.
		</div>
		<br>
		<div class="desc">
		Email address:
		</div> 
		<div class="input">
		<@spring.formInput "app1FormData.email"/>
		<@spring.showErrors "<br/>" "error"/>
		</div>
		
		<div class="desc">
		Phone number <span class="descOpt">(optional)</span>: 
		</div>
		<div class="input">
		<@spring.formInput "app1FormData.phone"/>
		</div>
		
		<div class="desc">
		Institution <span class="descOpt">(optional)</span>: 
		</div>
		<div class="input">
		<@spring.formInput "app1FormData.institution"/>
		</div>
		<div class="desc">
		You can also attach some notes for the VO administrator <span class="descOpt">(optional)</span>:
		</div>
		<div class="input">
		<@spring.formTextarea "app1FormData.notes", "rows='8' cols='70'"/>
		</div>		
		</div>
		
		<div class="buttons">		
		<input type="submit" class="button" name="_eventId_cancel" value="Cancel" >
		<input type="submit" class="button" name="_eventId_back" value="Back" >
		<input type="submit" class="button" name="_eventId_proceed" value="Proceed" >
		</div>
	</form>

	
</#escape>	
<#include "footer.ftl">